#
# spec file for package sles-admin_de (Version 10)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sles-admin_de
%define my_lang de
Version:        10
Release:        5.6
Source0:        sles-admin_%{my_lang}-html.tar.bz2
Source10:       sles-admin_%{my_lang}-desktop.tar.bz2
Source20:       sles-admin-online_%{my_lang}.pdf
Source30:       sles-admin_%{my_lang}-graphics.tar.bz2
Source40:       sles-admin_%{my_lang}.tar.bz2
Provides:       locale(sles-admin_en:de)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch
Group:          Documentation/SuSE
License:        Other License(s), see package
Summary:        SLES Adminguide (german)
PreReq:         /bin/rm /bin/ln
%define _defaultdocdir %{_datadir}/doc/manual
%define _docdir %{_datadir}/doc/manual
%define PDFDOC %{_defaultdocdir}/%{name}-pdf

%description
The SUSE Linux Enterprise Server Administration Guide (german).



%debug_package
%prep
#make dist-html
#make pdf-color
ke_prep_pack () {
  pushd html
  # ln -sf book.* index.html
  # box: SLPROF-html
  mv $(find -maxdepth 1 -type d -name '[[:alnum:]]*') $1
  popd
  #mv desktop ${1}_desktop
}
%setup -c -q -a 10
# ke_prep_pack manual

%build
find . -name CVS -o -name '.xvpics' -o -name '.cvsignore' \
  | xargs rm -fr
cp %{S:20} sles-admin_%{my_lang}.pdf

%install
[ -d $RPM_BUILD_ROOT ] && rm -fvr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}
%define bookdir %(echo %name | sed 's/sles-//')
%define my_desktopdir /usr/share/susehelp/meta/sles/%bookdir
%define myy_desktopdir %(echo %my_desktopdir | sed 's|//|/|')
# add language info
sed -i 's:^\(Name.*=\)\(.*\):\1\2 (de):
s:^\(Comment.*=\)\(.*\):\1\2 (de):' desktop/.directory
mkdir -p $RPM_BUILD_ROOT%{myy_desktopdir}
if ! grep -q -e '^Name *=' desktop/.directory; then
    # requiered if no "Name=" is present
  sed -i "s|^Name\[.*\]\(=.*\)|Name\1\\
&|" desktop/.directory
fi
id=%{name}
id=${id//_}
sed -i "s|@PATH@|%{_defaultdocdir}/%{name}|
s|@id@|$id|" desktop/.directory # >$RPM_BUILD_ROOT%{myy_desktopdir}/.directory
pushd desktop
for f in $(find . -name '*desktop'); do
#     # /usr/share/doc/manual/suselinux-manual_en/manual
  sed -i "s|@PATH@|%{_defaultdocdir}/%{name}|
#remove [] without language code
s/\[\]//" $f
  if ! grep -q -e '^Name *=' $f; then
    # requiered if no "Name=" is present
    sed -i "s|^Name\[.*\]\(=.*\)|Name\1\\
&|" $f
  fi
# file name must end with .desktop
  n=${f//\./_}
  n=${n/_/.}
  n=${n%_desktop}.desktop
  [ $f != $n ] && mv $f $n
done
for f in $(find . -name '.directory'); do
  sed -i "s|@PATH@|%{_defaultdocdir}/%{name}|
s/\[\]//
s|@id@|$id|" $f
  if ! grep -q -e '^Name *=' $f; then
    # requiered if no "Name=" is present
    sed -i "s|^Name\[.*\]\(=.*\)|Name\1\\
&|" $f
  fi
sed -i "s|index.html|book.sle.reference.html|" $f
done
cp -a . $RPM_BUILD_ROOT%{myy_desktopdir}
popd
# sed "s|@PATH@|%{_defaultdocdir}/%{name}/manual|
# s/\[\]//
# s|@id@|$id|" desktop/.directory \
#   >$RPM_BUILD_ROOT%{myy_desktopdir}/%{name}/.directory
# Link it into the Gnome help system (must be found by calling
# susehelp help://suselinux-manual/
%define gnome_dir /opt/gnome/share/gnome/help/sles-admin
install -d $RPM_BUILD_ROOT/%{gnome_dir}
pushd $RPM_BUILD_ROOT/%{gnome_dir}
if [ %{my_lang} = "en" ]; then
  target=$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
  install -d $target
  ln -sf %{_defaultdocdir}/%{name} C
else
  target=$RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
  install -d $target
  ln -sf %{_defaultdocdir}/%{name} %{my_lang}
fi
popd

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%dir %{_defaultdocdir}
%doc *.pdf
#
%doc html/SLES-admin/*
%{myy_desktopdir}
%dir %{_datadir}/susehelp/meta/sles
%dir %{_datadir}/susehelp/meta
%dir %{_datadir}/susehelp
%{gnome_dir}
%dir /opt/gnome
%dir /opt/gnome/share
%dir /opt/gnome/share/gnome
%dir /opt/gnome/share/gnome/help

%changelog -n sles-admin_de
* Wed Jun 07 2006 - ke@suse.de
- Update XML source files.
* Mon Jun 05 2006 - ke@suse.de
- Update HTML and PDF for SLES 10 RC3.
* Mon May 08 2006 - ke@suse.de
- Replace HTML and desktop files - now these are translated as well
  (provided by Antje Faber).
* Fri May 05 2006 - ke@suse.de
- Version 10 (preliminary: use English HTML and desktop files as
  placeholders for the moment; PDF is updated, but we still expect
  changes).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jun 25 2004 - ke@suse.de
- Update to final version (version 9.1.0.5 again).
* Thu Jun 03 2004 - ke@suse.de
- Use files provided by Thomas Schraitle.
* Thu Jun 03 2004 - ke@suse.de
- Update (version 9.1.0.5 again).
* Tue May 25 2004 - ke@suse.de
- Update version 9.1.0.5.
* Fri May 21 2004 - ke@suse.de
- Update to version 9.1.0.5.
- Fix desktop file.
* Thu May 13 2004 - ke@suse.de
- Version 9.1.0.4.
